org.apache.ignite.internal.processors.query.stat

## Enum StatisticsType

- java.lang.Object
- - java.lang.Enum<StatisticsType>
  - - org.apache.ignite.internal.processors.query.stat.StatisticsType

All Implemented Interfaces:
  Serializable, Comparable<StatisticsType>

    public enum StatisticsType
    extends Enum<StatisticsType>

Types of statistics width.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GLOBAL` Statistics by the whole object.
`LOCAL` Statistics by some data node.
`PARTITION` Statistics by some particular partition.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable StatisticsType` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static StatisticsType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StatisticsType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PARTITION

    public static final StatisticsType PARTITION

Statistics by some particular partition.

#### LOCAL

    public static final StatisticsType LOCAL

Statistics by some data node.

#### GLOBAL

    public static final StatisticsType GLOBAL

Statistics by the whole object.

### Method Detail

#### values

    public static StatisticsType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StatisticsType c : StatisticsType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StatisticsType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable StatisticsType fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023